AsterNet Class Library (Sandcastle documentation)

| AGIReplyStatuses Enumeration

[Missing <summary> documentation for "T:AsterNET.FastAGI.AGIReplyStatuses"]

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public enum AGIReplyStatuses

    Public Enumeration AGIReplyStatuses

    public enum class AGIReplyStatuses

    type AGIReplyStatuses

Members

| Member name | Value | Description
--- | --- | --- | ---
| SC_SUCCESS | 200 | Status code (200) indicating Asterisk successfully processed the AGICommand.
| SC_INVALID_OR_UNKNOWN_COMMAND | 510 | Status code (510) indicating Asterisk was unable to process the AGICommand because there is no command with the given name available.
| SC_DEAD_CHANNEL | 511 | Status code (511) indicating Asterisk was unable to process the AGICommand because the channel is dead.
| SC_INVALID_COMMAND_SYNTAX | 520 | Status code (520) indicating Asterisk was unable to process the AGICommand because the syntax used was not correct. This is most likely due to missing required parameters or additional parameters sent that are not understood. Ensure proper quoting of the parameters when you receive this status code.

See Also

#### Reference

AsterNET.FastAGI Namespace